plans:
- adjust:
  - prepare+:
    - directory: tmp/RPMS/noarch
      how: install
      name: tmt
    when: how == full
  cleanup:
    enabled: true
    phases:
    - how: tmt
      name: default-0
      order: 50
  description: Test coverage focused on features related to execution of individual
    steps.
  discover:
    enabled: true
    phases:
    - dist-git-download-only: false
      dist-git-init: false
      dist-git-install-builddeps: false
      dist-git-merge: false
      dist-git-remove-fmf-root: false
      dist-git-source: false
      filter:
      - 'tier: 3 & tag:-provision-only'
      fmf-id: false
      how: fmf
      modified-only: false
      name: default-0
      order: 50
      prune: false
      sync-repo: false
      test:
      - ^/tests/(?!discover|prepare|execute)
      url-content-type: git
    tests:
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      description: Create a temporary directory during the prepare step. Remove it
        during the finish step and check that it's gone.
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/finish/basic
      order: 50
      path: /default-0/tests/tests/finish/basic
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 1
      summary: Basic check for the finishing tasks
      test: ./test.sh
      tier: '3'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 20m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/provision/beaker/dry
      order: 50
      path: /default-0/tests/tests/provision/beaker
      require:
      - tmt
      - tmt+provision-container
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 2
      summary: Verify default beaker configs using dry option
      test: ./dry.sh
      tier: '3'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      description: Verify translate hardware constraints using custom config works
        well, and override the default translations.
      discover-phase: default-0
      duration: 20m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/provision/beaker/hardware
      order: 50
      path: /default-0/tests/tests/provision/beaker
      require:
      - tmt
      - tmt+provision-container
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 3
      summary: Translate hardware by config tests
      test: ./hardware.sh
      tier: '3'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      description: Verify that the beaker plugin schema contains the appropriate keys.
      discover-phase: default-0
      duration: 20m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/provision/beaker/schema
      order: 50
      path: /default-0/tests/tests/provision/beaker
      require:
      - tmt
      - tmt+provision-container
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 4
      summary: Verify beaker provision schema
      test: ./schema.sh
      tier: '3'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 20m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/provision/facts/guest
      order: 50
      path: /default-0/tests/tests/provision/facts
      require:
      - tmt
      - tmt+provision-container
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 5
      summary: Check that guest facts are discovered and reported correctly
      tag:
      - provision-container
      test: ./test-guest.sh
      tier: '3'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 20m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/provision/facts/runner
      order: 50
      path: /default-0/tests/tests/provision/facts
      require:
      - tmt
      - tmt+provision-container
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 6
      summary: Check that host facts are discovered and reported correctly
      test: ./test-runner.sh
      tier: '3'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/report/display
      order: 50
      path: /default-0/tests/tests/report/display
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 7
      summary: Check for display output
      test: ./test.sh
      tier: '3'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/report/html
      order: 50
      path: /default-0/tests/tests/report/html
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 8
      summary: Check for HTML output
      test: ./test.sh
      tier: '3'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/report/junit/basic
      order: 50
      path: /default-0/tests/tests/report/junit/basic
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 9
      summary: Check for JUnit output
      test: ./test.sh
      tier: '3'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/report/summary
      order: 50
      path: /default-0/tests/tests/report/summary
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 10
      summary: Check for correct report summary
      test: ./test.sh
      tier: '3'
      tty: false
    - adjust:
      - because: we don't want to run the avc check for local testing as it needs
          root and we're executing tests under a regular user
        check: []
        when: initiator is not defined or initiator != packit
      - because: 'Virtual provision have started to be quite slow, will investigate
          what caused the slowdown with the test /tests/execute/unresponsive

          '
        duration+: '*2'
        when: provision_how == virtual
      check:
      - delay-before-report: 5
        enabled: true
        how: avc
        ignore-pattern:
        - type=USER_AVC.*received policyload notice
        result: respect
        test-method: timestamp
      contact:
      - Petr Šplíchal <psplicha@redhat.com>
      discover-phase: default-0
      duration: 10m
      enabled: true
      environment:
        TMT_FEELING_SAFE: '1'
      framework: beakerlib
      manual: false
      name: /tests/run/again/failed-only
      order: 50
      path: /default-0/tests/tests/run/again/failed-only
      require:
      - tmt
      restart-max-count: 1
      restart-with-reboot: false
      result: respect
      serial-number: 11
      summary: Check rerun is working correctly
      test: ./test.sh
      tier: '3'
      tty: false
  enabled: true
  environment:
    PYTEST: python3 -m pytest -vvv -ra --showlocals
  execute:
    enabled: true
    phases:
    - duration: 1h
      exit-first: false
      how: tmt
      ignore-duration: false
      interactive: false
      name: default-0
      no-progress-bar: false
      order: 50
      restraint-compatible: false
    results-path: plans/features/steps/the-rest/execute/results.yaml
  finish:
    enabled: true
    phases:
    - how: shell
      name: default-0
      order: 50
  name: /plans/features/steps/the-rest
  order: 50
  prepare:
    enabled: true
    phases:
    - how: install
      missing: fail
      name: default-0
      order: 50
      package:
      - jq
      - yq
      - make
      - python3-pip
      - python3-pytest
    - how: shell
      name: default-1
      order: 50
      script:
      - "mkdir -p ~/.koji\nif [ -f ~/.koji/config ]; then\n  echo \"~/.koji/config
        was already set:\"\n  cat ~/.koji/config\nelse\n  cat <<EOF > ~/.koji/config\n[koji]\nanon_retry
        = true\nEOF\nfi\n"
      summary: Make sure we run koji commands with automatic retry to avoid 50x errors
  provision:
    enabled: true
    phases:
    - become: false
      guest: 3.144.179.121
      hard-reboot: /opt/artemis-cli/bin/artemis-cli guest reboot 163bea12-7aa9-4081-9c1a-2b553a848973
      how: connect
      key:
      - /etc/citool.d/id_rsa_artemis
      name: default-0
      order: 50
      port: 22
      user: root
  report:
    enabled: true
    phases:
    - display-guest: auto
      how: display
      name: default-0
      order: 50
  summary: Verify functionality of individual steps
run:
  context:
    arch:
    - x86_64
    distro:
    - fedora-rawhide
    initiator:
    - packit
    trigger:
    - commit
  environment:
    PACKIT_BUILD_LOG_URL: https://download.copr.fedorainfracloud.org/results/packit/teemtee-tmt-4904/fedora-rawhide-x86_64/10515802-tmt/builder-live.log
    PACKIT_COMMIT_SHA: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    PACKIT_COPR_BUILD_ID: '10515802'
    PACKIT_COPR_PROJECT: packit/teemtee-tmt-4904
    PACKIT_COPR_RPMS: tmt+provision-virtual-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-bootc-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-beaker-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+report-polarion-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-container-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+export-polarion-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+prepare-artifact-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+report-junit-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+all-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+link-jira-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+provision-mock-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
      tmt+test-convert-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45.noarch
    PACKIT_DOWNSTREAM_NAME: tmt
    PACKIT_DOWNSTREAM_URL: https://src.fedoraproject.org/rpms/tmt.git
    PACKIT_FULL_REPO_NAME: teemtee/tmt
    PACKIT_PACKAGE_NAME: tmt
    PACKIT_PACKAGE_NVR: tmt+provision-virtual-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.fc45
    PACKIT_PR_ID: '4904'
    PACKIT_SOURCE_BRANCH: document-user-key-better
    PACKIT_SOURCE_SHA: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    PACKIT_SOURCE_URL: https://github.com/teemtee/tmt
    PACKIT_SRPM_URL: https://download.copr.fedorainfracloud.org/results/packit/teemtee-tmt-4904/srpm-builds/10515802/tmt-1.75.0.dev3+g5793f160e-1.20260527082731650792.pr4904.3.g5793f160.src.rpm
    PACKIT_TARGET_BRANCH: main
    PACKIT_TARGET_SHA: ba64efc6eb8bc54e1c9b7971fe42c7227cdd8096
    PACKIT_TARGET_URL: https://github.com/teemtee/tmt
    PACKIT_UPSTREAM_NAME: tmt
    PACKIT_UPSTREAM_URL: https://github.com/teemtee/tmt
    TESTING_FARM_GIT_REF: 5793f160ea6a83eb7aa78b1dd7135b1303c18ef4
    TESTING_FARM_GIT_URL: https://github.com/teemtee/tmt
    TESTING_FARM_REQUEST_ID: 7ee920ba-c471-4371-b3ba-ca9f08ece5f9
    TESTING_FARM_TEST_TYPE: fmf
  remove: false
  root: /var/ARTIFACTS/git-ba64efc6eb8bc54e1c9b7971fe42c7227cdd8096jv4l6ug6
